Bug 91174 - Comment on WebCore::HTMLMediaElement::childShouldCreateRenderer() should explain why
Summary: Comment on WebCore::HTMLMediaElement::childShouldCreateRenderer() should expl...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Hajime Morrita
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-12 17:38 PDT by Hajime Morrita
Modified: 2012-07-16 17:49 PDT (History)
4 users (show)

See Also:


Attachments
Patch (1.88 KB, patch)
2012-07-12 18:24 PDT, Hajime Morrita
no flags Details | Formatted Diff | Diff
Patch (1.80 KB, patch)
2012-07-13 00:24 PDT, Hajime Morrita
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hajime Morrita 2012-07-12 17:38:42 PDT
This is a followup of Bug 91055.
Comment 1 Hajime Morrita 2012-07-12 18:24:04 PDT
Created attachment 152124 [details]
Patch
Comment 2 Shinya Kawanaka 2012-07-12 18:26:18 PDT
Comment on attachment 152124 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=152124&action=review

> Source/WebCore/ChangeLog:8
> +        Additional information of the change such as approach, rationale. Please add per-function descriptions below (OOPS!).

?
Comment 3 Kent Tamura 2012-07-12 20:13:44 PDT
Comment on attachment 152124 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=152124&action=review

> Source/WebCore/html/HTMLMediaElement.cpp:494
> +    // be rendered. So this should return true for most of the children.

should return false?
Comment 4 Hajime Morrita 2012-07-13 00:24:09 PDT
Created attachment 152168 [details]
Patch
Comment 5 Hajime Morrita 2012-07-13 00:25:15 PDT
Comment on attachment 152124 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=152124&action=review

>> Source/WebCore/html/HTMLMediaElement.cpp:494
>> +    // be rendered. So this should return true for most of the children.
> 
> should return false?

Ooops. Thanks for the catch. Just updated the patch.
Tried to clarified the comment/made it wrong (your favorite meme here)...
Comment 6 Kent Tamura 2012-07-13 01:57:22 PDT
Comment on attachment 152168 [details]
Patch

Looks ok.
Comment 7 Eric Carlson 2012-07-13 10:28:12 PDT
Comment on attachment 152168 [details]
Patch

I get it now, thanks for taking the time to update the comment!
Comment 8 WebKit Review Bot 2012-07-16 17:49:07 PDT
Comment on attachment 152168 [details]
Patch

Clearing flags on attachment: 152168

Committed r122786: <http://trac.webkit.org/changeset/122786>
Comment 9 WebKit Review Bot 2012-07-16 17:49:14 PDT
All reviewed patches have been landed.  Closing bug.